Mark all notifications as seen
curl --request POST \
--url https://apix.us.amity.co/api/v1/notification-tray/tray/seen \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lastSeenAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://apix.us.amity.co/api/v1/notification-tray/tray/seen"
payload = { "lastSeenAt": "2023-11-07T05:31:56Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({lastSeenAt: '2023-11-07T05:31:56Z'})
};
fetch('https://apix.us.amity.co/api/v1/notification-tray/tray/seen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lastSeenAt": "2023-11-07T05:31:56Z"
}{
"status": "error",
"code": 400,
"message": "Bad Request."
}Notification Tray
Mark all notifications as seen
Updates the seen status for the user’s notification tray
POST
/
api
/
v1
/
notification-tray
/
tray
/
seen
Mark all notifications as seen
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request to mark all notifications as seen
Timestamp to mark as last seen for all notifications (should not exceed server time by more than 10 seconds)
Response
Response after successfully marking all notifications as seen
Updated timestamp for when all notifications were marked as seen
⌘I